               JOB  Compute the square root of 2 to 100 decimal places
               CTL  6611
               ORG  332-20
     *
               DCW  @The square root of @
     *
     * Print header.
     *
     START     LCA  N,332
     W1        W
               CS
               CS
               W
     *
     * Newton's algorithm:
     *
     *     x = n;
     *     do {xprev = x;
     *         x = (x + n/x)/2;}
     *     while (x != xprev)
     *
     * X = upper half of N
     *
               ZA   ZERO,X
               A    N,X2
     LOOP      A    LOOP,ITERS
               ZA   X,XPREV
     *
     * X = (N/X + X)/2
     *
               ZA   ZERO,NXREM         +dp low order zeros, +len(N) + dp + 1 + 2
               A    N,XHIGH            the number
               D    XPREV,XHIGH        +len(N) - dp + 1 + 2
               A    XPREV,X2REM
               D    W1,X2              -(len(N) + dp) + 2
     *
     * Print X.
     *
               LCA  EDIT,232
               MCE  X,332
               W
               CS
               CS
     *
     * Is X = XPREV?  Loop again if not.
     *
               C    X,XPREV
               BU   LOOP               more iterations needed if unequal
     *
     * Print number of iterations.
     *
     DONE      CS   332
               CS
               W
               MCS  LABEL2,333
               W
     FINIS     H    FINIS
               H
     *
               DA   1x102
     XPREV          102                len = len(X)
     *
               DA   1x208
     X2             3                  decimal position after x/2
     XHIGH          8                  decimal position after n/x
     X              103                len = len(N) + dp + 1
     X2REM          105                remainder of x/2: len 2
     NXREM          208                remainder of n/x: len len(N)+dp+1
     *
     EDIT      DCW  @  0.@
     *
     N         DCW  @ 2@
     *
     ITERS     DCW  000
     LABEL2    DC   @ iterations @
     ZERO      DCW  @0@
               END  START
